# pst_x_attrib_ll Struct Reference

Linked list of extended attributes. More...

`#include <libpst/libpst.h>`

Collaboration diagram for pst_x_attrib_ll:
[legend]

## Data Fields
uint32_t | mytype
uint32_t | map
| key for the mapping
void * | data
| data target of the mapping, either uint32_t or string
struct pst_x_attrib_ll * | next
| link to next item in the list

## Detailed Description

Linked list of extended attributes.

This is used to convert mapi_id values in the pst file into cannonical mapi_id values to be used in this code. This list is kept in sorted order, where the key is the 'map' field. Some mapi_id values are converted to cannonical mapi_id values (PST_MAP_ATTRIB), and others are converted to a string (PST_ATTRIB_HEADER).

Definition at line 863 of file libpst.h.

## Field Documentation

void* pst_x_attrib_ll::data

data target of the mapping, either uint32_t or string

Definition at line 871 of file libpst.h.

uint32_t pst_x_attrib_ll::map

key for the mapping

Definition at line 869 of file libpst.h.

uint32_t pst_x_attrib_ll::mytype

- 1 PST_MAP_ATTRIB map->int attribute
- 2 PST_MAP_HEADER map->string header

Definition at line 867 of file libpst.h.

struct pst_x_attrib_ll* pst_x_attrib_ll::next`[read]`

link to next item in the list

Definition at line 873 of file libpst.h.

The documentation for this struct was generated from the following file:

- libpst/libpst.h